<?php
/**
 * Copyright (c) 2015-present, Facebook, Inc. All rights reserved.
 *
 * You are hereby granted a non-exclusive, worldwide, royalty-free license to
 * use, copy, modify, and distribute this software in source code or binary
 * form for use in connection with the web services and APIs provided by
 * Facebook.
 *
 * As with any software that integrates with the Facebook platform, your use
 * of this software is subject to the Facebook Developer Principles and
 * Policies [http://developers.facebook.com/policy/]. This copyright notice
 * shall be included in all copies or substantial portions of the software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 *
 */

namespace FacebookAds\Object\Values;

use FacebookAds\Enum\AbstractEnum;

/**
 * This class is auto-generated.
 *
 * For any issues or feature requests related to this class, please let us know
 * on github and we'll fix in our codegen framework. We'll not be able to accept
 * pull request for this class.
 *
 * @method static AdVideoContainerTypeValues getInstance()
 */
class AdVideoContainerTypeValues extends AbstractEnum {

  const ACO_VIDEO_VARIATION = 'ACO_VIDEO_VARIATION';
  const AD_BREAK_PREVIEW = 'AD_BREAK_PREVIEW';
  const AD_DERIVATIVE = 'AD_DERIVATIVE';
  const AGE_UP = 'AGE_UP';
  const ALBUM_MULTIMEDIA_POST = 'ALBUM_MULTIMEDIA_POST';
  const ALOHA_CALL_VIDEO = 'ALOHA_CALL_VIDEO';
  const ALOHA_SUPERFRAME = 'ALOHA_SUPERFRAME';
  const APP_REVIEW_SCREENCAST = 'APP_REVIEW_SCREENCAST';
  const ATLAS_VIDEO = 'ATLAS_VIDEO';
  const AUDIO_BROADCAST = 'AUDIO_BROADCAST';
  const BELL_POLL = 'BELL_POLL';
  const BRAND_EQUITY_POLL_VIDEO = 'BRAND_EQUITY_POLL_VIDEO';
  const BROADCAST = 'BROADCAST';
  const CANDIDATE_VIDEOS = 'CANDIDATE_VIDEOS';
  const CANVAS = 'CANVAS';
  const CFC_VIDEO = 'CFC_VIDEO';
  const CONTAINED_POST_ATTACHMENT = 'CONTAINED_POST_ATTACHMENT';
  const CONTAINED_POST_AUDIO_BROADCAST = 'CONTAINED_POST_AUDIO_BROADCAST';
  const CONTAINED_POST_BROADCAST = 'CONTAINED_POST_BROADCAST';
  const COPYRIGHT_REFERENCE_BROADCAST = 'COPYRIGHT_REFERENCE_BROADCAST';
  const COPYRIGHT_REFERENCE_VIDEO = 'COPYRIGHT_REFERENCE_VIDEO';
  const CULTURAL_MOMENT_DEPRECATED = 'CULTURAL_MOMENT_DEPRECATED';
  const DCO_AD_ASSET_FEED = 'DCO_AD_ASSET_FEED';
  const DCO_AUTOGEN_VIDEO = 'DCO_AUTOGEN_VIDEO';
  const DCO_TRIMMED_VIDEO = 'DCO_TRIMMED_VIDEO';
  const DIM_SUM = 'DIM_SUM';
  const DIRECTED_POST_ATTACHMENT = 'DIRECTED_POST_ATTACHMENT';
  const DIRECT_INBOX = 'DIRECT_INBOX';
  const DIRECT_INBOX_REACTION = 'DIRECT_INBOX_REACTION';
  const DYNAMIC_ITEM_DISPLAY_BUNDLE = 'DYNAMIC_ITEM_DISPLAY_BUNDLE';
  const DYNAMIC_ITEM_VIDEO = 'DYNAMIC_ITEM_VIDEO';
  const DYNAMIC_TEMPLATE_VIDEO = 'DYNAMIC_TEMPLATE_VIDEO';
  const EVENT_COVER_VIDEO = 'EVENT_COVER_VIDEO';
  const EVENT_TOUR = 'EVENT_TOUR';
  const FACECAST_DVR = 'FACECAST_DVR';
  const FB_SHORTS = 'FB_SHORTS';
  const FUNDRAISER_COVER_VIDEO = 'FUNDRAISER_COVER_VIDEO';
  const GAME_CLIP = 'GAME_CLIP';
  const GAMING_UPDATE_VIDEO = 'GAMING_UPDATE_VIDEO';
  const GEMSTONE = 'GEMSTONE';
  const GOODWILL_ANNIVERSARY_DEPRECATED = 'GOODWILL_ANNIVERSARY_DEPRECATED';
  const GOODWILL_ANNIVERSARY_PROMOTION_DEPRECATED = 'GOODWILL_ANNIVERSARY_PROMOTION_DEPRECATED';
  const GOODWILL_VIDEO_CONTAINED_SHARE = 'GOODWILL_VIDEO_CONTAINED_SHARE';
  const GOODWILL_VIDEO_PROMOTION = 'GOODWILL_VIDEO_PROMOTION';
  const GOODWILL_VIDEO_SHARE = 'GOODWILL_VIDEO_SHARE';
  const GOODWILL_VIDEO_TOKEN_REQUIRED = 'GOODWILL_VIDEO_TOKEN_REQUIRED';
  const GROUP_POST = 'GROUP_POST';
  const HEURISTIC_CLUSTER_VIDEO = 'HEURISTIC_CLUSTER_VIDEO';
  const HEURISTIC_PREVIEW = 'HEURISTIC_PREVIEW';
  const HIGHLIGHT_CLIP_VIDEO = 'HIGHLIGHT_CLIP_VIDEO';
  const IG_STORIES_READER = 'IG_STORIES_READER';
  const INSPIRATION_VIDEO = 'INSPIRATION_VIDEO';
  const INSTAGRAM_VIDEO_COPY = 'INSTAGRAM_VIDEO_COPY';
  const INSTANT_APPLICATION_PREVIEW = 'INSTANT_APPLICATION_PREVIEW';
  const INSTANT_ARTICLE = 'INSTANT_ARTICLE';
  const INSTANT_GAME_CLIP = 'INSTANT_GAME_CLIP';
  const ISSUE_MODULE = 'ISSUE_MODULE';
  const JOB_APPLICATION_VIDEO = 'JOB_APPLICATION_VIDEO';
  const JOB_OPENING_VIDEO = 'JOB_OPENING_VIDEO';
  const KOTOTORO = 'KOTOTORO';
  const LEARN = 'LEARN';
  const LEGACY = 'LEGACY';
  const LIVE_CREATIVE_KIT_VIDEO = 'LIVE_CREATIVE_KIT_VIDEO';
  const LIVE_LINEAR_VIDEO_CHANNEL_INTERNAL_BROADCAST = 'LIVE_LINEAR_VIDEO_CHANNEL_INTERNAL_BROADCAST';
  const LIVE_PHOTO = 'LIVE_PHOTO';
  const LOOK_NOW_DEPRECATED = 'LOOK_NOW_DEPRECATED';
  const MARKETPLACE_LISTING_VIDEO = 'MARKETPLACE_LISTING_VIDEO';
  const MARKETPLACE_PRE_RECORDED_VIDEO = 'MARKETPLACE_PRE_RECORDED_VIDEO';
  const MOMENTS_VIDEO = 'MOMENTS_VIDEO';
  const NEO_ASYNC_GAME_VIDEO = 'NEO_ASYNC_GAME_VIDEO';
  const NO_STORY = 'NO_STORY';
  const NO_STORY_WITH_ENTPOST = 'NO_STORY_WITH_ENTPOST';
  const OCULUS_CREATOR_PORTAL = 'OCULUS_CREATOR_PORTAL';
  const OCULUS_VENUES_BROADCAST = 'OCULUS_VENUES_BROADCAST';
  const OFFERS_VIDEO = 'OFFERS_VIDEO';
  const PAGES_COVER_VIDEO = 'PAGES_COVER_VIDEO';
  const PAGE_REVIEW_SCREENCAST = 'PAGE_REVIEW_SCREENCAST';
  const PAGE_SLIDESHOW_VIDEO = 'PAGE_SLIDESHOW_VIDEO';
  const PIXELCLOUD = 'PIXELCLOUD';
  const PREMIERE_SOURCE = 'PREMIERE_SOURCE';
  const PRIVATE_GALLERY_VIDEO = 'PRIVATE_GALLERY_VIDEO';
  const PRODUCT_VIDEO = 'PRODUCT_VIDEO';
  const PROFILE_COVER_VIDEO = 'PROFILE_COVER_VIDEO';
  const PROFILE_INTRO_CARD = 'PROFILE_INTRO_CARD';
  const PROFILE_TO_PAGE_UPLOADED_VIDEO = 'PROFILE_TO_PAGE_UPLOADED_VIDEO';
  const PROFILE_VIDEO = 'PROFILE_VIDEO';
  const PROTON = 'PROTON';
  const QUICK_PROMOTION = 'QUICK_PROMOTION';
  const REPLACE_VIDEO = 'REPLACE_VIDEO';
  const SALES_CLIENT_INTERACTION = 'SALES_CLIENT_INTERACTION';
  const SAY_THANKS_DEPRECATED = 'SAY_THANKS_DEPRECATED';
  const SHOWREEL_NATIVE_DUMMY_VIDEO = 'SHOWREEL_NATIVE_DUMMY_VIDEO';
  const SLIDESHOW_ANIMOTO = 'SLIDESHOW_ANIMOTO';
  const SLIDESHOW_SHAKR = 'SLIDESHOW_SHAKR';
  const SLIDESHOW_VARIATION_VIDEO = 'SLIDESHOW_VARIATION_VIDEO';
  const SOTTO_CONTENT = 'SOTTO_CONTENT';
  const SOUND_PLATFORM_STREAM = 'SOUND_PLATFORM_STREAM';
  const STORIES_VIDEO = 'STORIES_VIDEO';
  const STORYLINE = 'STORYLINE';
  const STORYLINE_WITH_EXTERNAL_MUSIC = 'STORYLINE_WITH_EXTERNAL_MUSIC';
  const STORY_ARCHIVE_VIDEO = 'STORY_ARCHIVE_VIDEO';
  const STORY_CARD_TEMPLATE = 'STORY_CARD_TEMPLATE';
  const TAROT_DIGEST = 'TAROT_DIGEST';
  const TEMP_MULTIMEDIA_POST = 'TEMP_MULTIMEDIA_POST';
  const UNLISTED = 'UNLISTED';
  const VIDEO_COMMENT = 'VIDEO_COMMENT';
  const VIDEO_CREATIVE_EDITOR_AUTOGEN_AD_VIDEO = 'VIDEO_CREATIVE_EDITOR_AUTOGEN_AD_VIDEO';
  const VIDEO_SUPERRES = 'VIDEO_SUPERRES';
  const WOODHENGE = 'WOODHENGE';
  const WORK_KNOWLEDGE_VIDEO = 'WORK_KNOWLEDGE_VIDEO';
  const YOUR_DAY = 'YOUR_DAY';
}
